<?php

/* Change to the correct path if you copy this example! */
require __DIR__ . '/../../autoload.php';
use Mike42\Escpos\Printer;
use Mike42\Escpos\PrintConnectors\WindowsPrintConnector;




// arquivo de exemplo para receber o xml e "processar", no caso só imprimo o objeto gerado.
// o script de impressão vai fazer o que o script erpc_nfccode_venda_imprimir.php faz hoje, da linha 52 até 112
if (isset($_POST['xml'])) {
  // $xml = simplexml_load_string($_POST['xml']);
  $xml = $_POST['xml'];
  
  // faz todo o processo 
  print_r($xml);
  echo PHP_EOL . '----' . PHP_EOL;
  echo 'agora é só enviar pra impressora...' . PHP_EOL;
  try {
    // Enter the share name for your printer here, as a smb:// url format
    $connector = new WindowsPrintConnector("smb://192.168.0.106/epson");
    
    /* Print a "Hello world" receipt" */
    $printer = new Printer($connector);
    // $printer -> text(print_r($xml, true));
    $printer -> text($xml);
    $printer -> cut();
    
    /* Close printer */
    $printer -> close();
  } catch (Exception $e) {
    echo "Couldn't print to this printer: " . $e -> getMessage() . "\n";
  }

} else {
  // mensagem de erro
  echo 'parâmetro xml não enviado';
}
